/**
 * Returns an object with keys `cjs` and `esm` each pointing to an array of
 * strings representing CJS and ES modules under node_modules, respectively.
 *
 * Accepts a `rootMode` parameter of either `"local"`, `"upward"`, or a path to
 * node_modules relative to the current working directory (starting with `"./"`
 * or `"../"`). Defaults to `"local"`. If `"upward"` is used, package types in
 * the local node_modules directory, if it exists, override those in the upward
 * node_modules directory. On the other hand, if a relative path is given, its
 * contents, if it exists, override those in the local node_modules directory.
 */
export declare function determineModuleTypes({ rootMode }?: {
    rootMode: string;
}): Promise<{
    cjs: string[];
    esm: string[];
}>;
/**
 * Clear the internal cache (refresh view of node_modules). Otherwise, the
 * results of `determineModuleTypes()` is memoized.
 */
export declare function clearCache(): void;
